# bnr04.rb: calculate PI by arcsin
require "binomer"
circle = Binomer.new(Rational(1,2), 50, -2)  # circle = sqrt(1-x^2)
area1 = circle.copy.integral.inner("c *= 2")  # integral(circle) * 2
area2 = circle.copy.inner("x += 1")  # circle * x
arcsin = area1 - area2
puts arcsin.calc(0.5) * 6.0  # calculate and output PI
