require "binomer"
sin = Binomer::sin
cos = Binomer::cos
v = Math::PI / 6.0

tan = sin / cos
printf("tan(x) = %s ...\n", tan.cx(:string5))
printf("tan(PI/6) = %f\n", tan.calc(v))
printf("1/sqrt(3) = %f\n\n", 1.0 / Math::sqrt(3))

sec = cos.reciprocal  # sec = 1/cos
printf("sec(x) = %s ...\n", sec.cx(:string5))
printf("sec(PI/6) = %f\n", sec.calc(v))
printf("2/sqrt(3) = %f\n\n", 2.0 / Math::sqrt(3))

csc = (sin / "x").reciprocal / "x"  # csc = 1/sin
printf("csc(x) = %s ...\n", csc.cx(:string5))
printf("csc(PI/6) = %f\n\n", csc.calc(v))

cot = (cos / (sin / "x")) / "x"  # cot = 1/tan = cos/sin
printf("cot(x) = %s ...\n", cot.cx(:string5))
printf("cot(PI/6) = %f\n", cot.calc(v))
printf("sqrt(3) = %f\n\n", Math::sqrt(3))
